콘텐츠로 건너뛰기

FILM

통합

모델 id film
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/film?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "end_image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

실행당 최대 $4.68 실제 사용량에 따라 과금되며 나머지는 환불됩니다 이 페이지에서 실행

API 키 받기
Google 이미지를 동영상으로 #interpolation

시작 이미지와 종료 이미지 사이를 보간하여 중간 프레임을 이미지 또는 동영상으로 출력합니다

Google · 동영상

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수 start_image_url
파일을 끌어다 놓거나

URL로 제공되는 보간의 초기 이미지(쌍의 첫 번째 이미지)입니다.

•필수 end_image_url
파일을 끌어다 놓거나

URL로 제공되는 보간의 최종 이미지(쌍의 두 번째 이미지)입니다.

고급 output_type · image_format · video_quality · video_write_mode · num_frames · fps · include_start · include_end · enable_safety_checker
output_type 기본값 images

동영상과 개별 이미지 중 출력 선택입니다.

image_format 기본값 jpeg

'images'를 output_type으로 사용할 때만 적용되는 이미지 형식 선택입니다.

video_quality 기본값 high

'video'를 output_type으로 사용할 때만 적용되는 동영상 품질 선택입니다.

video_write_mode 기본값 balanced

'video'를 output_type으로 사용할 때만 적용되는 동영상 기록 모드입니다.

기본값 1

제공된 이미지 사이에 생성되는 중간 프레임의 개수입니다.

기본값 8

초당 프레임 수로 측정되는 동영상 프레임 속도 설정이며, 'video'를 output_type으로 사용할 때만 적용됩니다.

POST /run/film?wait=20 견적 → $4.68
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/film?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "end_image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

FILM 정보

두 이미지 `start_image_url`과 `end_image_url` 사이의 중간 프레임을 생성합니다. `num_frames`는 생성할 프레임 수를 1~64로 설정합니다. `output_type`은 이미지 또는 video이며, video인 경우 `fps`(1~60), `video_quality` 및 `video_write_mode`가 적용됩니다. `include_start`와 `include_end`로 원본을 포함할 수 있습니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
start_image_url필수 image
유형url · image
URL로 제공되는 보간의 초기 이미지(쌍의 첫 번째 이미지)입니다.
end_image_url필수 end_image
유형url · image
URL로 제공되는 보간의 최종 이미지(쌍의 두 번째 이미지)입니다.
output_type선택 사항
유형enum
기본값images
imagesvideo
동영상과 개별 이미지 중 출력 선택입니다.
image_format선택 사항
유형enum
기본값jpeg
pngjpeg
'images'를 output_type으로 사용할 때만 적용되는 이미지 형식 선택입니다.
video_quality선택 사항
유형enum
기본값high
lowmediumhighmaximum
'video'를 output_type으로 사용할 때만 적용되는 동영상 품질 선택입니다.
video_write_mode선택 사항
유형enum
기본값balanced
fastbalancedsmall
'video'를 output_type으로 사용할 때만 적용되는 동영상 기록 모드입니다.
num_frames선택 사항
유형integer
기본값1
1 – 64
제공된 이미지 사이에 생성되는 중간 프레임의 개수입니다.
include_start선택 사항
유형boolean
기본값false
출력에 시작 이미지가 포함되는지 제어합니다.
include_end선택 사항
유형boolean
기본값false
출력에 종료 이미지가 포함되는지 제어합니다.
fps선택 사항
유형integer
기본값8
1 – 60
초당 프레임 수로 측정되는 동영상 프레임 속도 설정이며, 'video'를 output_type으로 사용할 때만 적용됩니다.
enable_safety_checker선택 사항
유형boolean
기본값true
호출자에게 권한이 있으면 false로 설정해 검사를 완화할 수 있습니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "film",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 4680,
    "usd": "4.68",
    "charged": 4680,
    "refunded": 0
  },
  "input": {
    "start_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "end_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
        "content_type": "video/mp4",
        "file_name": "0-output.mp4",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
images
array of object {url, content_type, file_name, file_size, width, height}생성된 프레임이 포함된 개별 이미지입니다.
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames} | nulloutput_type이 'video'로 설정된 경우 반환되는 생성된 동영상 파일입니다.

더 많은 모델: 이미지를 동영상으로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/film.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt